<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->string('first_name', 200);
			$table->string('last_name', 200)->nullable();
			$table->string('password', 255);
			$table->string('email', 255)->unique();
			$table->text('user_verification_key')->nullable();
			$table->integer('user_verified')->nullable();
			$table->string('mobile_phone_number', 30)->nullable();
			$table->string('company_name', 255)->nullable();
			$table->string('address_1', 200)->nullable();
			$table->string('address_2', 200)->nullable();
			$table->string('state_county', 200)->nullable();
			$table->string('zipcode', 30)->nullable();
			$table->string('country', 200)->nullable();
			$table->string('job_title', 200)->nullable();
			$table->string('biography', 200)->nullable();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}